<div class="container text-center pt-3">
    <div class="row justify-content-center">
        <div class="col-4">
            <img src="assets/images/img/about-2.jpg" class="d-block w-100" alt="">
        </div>
        <div class="col-8">
            <form *ngIf="user" id="form" class="bg-light p-5" [formGroup]="editUserForm">
                <h3 class="text-primary mb-4 text-center"> Modifier</h3>
                <div class="mb-3">
                  <input type="text" class="form-control" formControlName="nom" [placeholder]="user.nom">
                </div>
                <div class="mb-3">
                  <label for="exampleFormControlInput1" class="form-label"></label>
                  <input type="text" class="form-control" formControlName="prenom" [placeholder]="user.prenom">
                </div>
                <div class="mb-3">
                  <input type="email" class="form-control" formControlName="email" [placeholder]="user.email">
                </div>
                <div class="mb-3">
                  <input type="password" class="form-control" formControlName="password" [placeholder]="user.password">
                </div>
                <div class="mb-3">
                  <input type="text" class="form-control" formControlName="telephone" [placeholder]="user.telephone">
                </div>
                <div class="mb-3">
                  <input class="form-control" list="datalistOptions" formControlName="role" [placeholder]="user.role">
                  <datalist id="datalistOptions">
                    <option value="CLIENT">
                    <option value="PROPRIETAIRE">
                    <option value="AGENT">
                    <option value="ADMIN">
            
                  </datalist>
                </div>
            
                <div class="d-flex justify-content-end">
                  <button type="submit" class="btn text-light mt-4" style="background-color:  #0E2F4F;" [disabled]="!editUserForm.valid" (click)="edit()">Modifier</button>
                </div>
              </form>
        </div>
    </div>
</div>



